Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006588opensim[REGION] Script Functionspublic2013-03-27 15:062014-07-29 13:42
Reporterkcozens 
Assigned Tojustincc 
PrioritynormalSeverityminorReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Versionmaster (dev code) 
Target Versionmaster (dev code)Fixed in Version 
Summary0006588: Added missing functionality (mainly custom headers) to llHTTPRequest.
DescriptionI have an LSL script that uses llHTTPRequest to pass data to an external database but it requires use of a custom header as part of the security of the operation. The ability to pass a custom header does not currently exist.

I have attached a patch to this report which adds some of the missing features of the LSL call including the support for custom headers.
Additional InformationThe file "...-master.patch" is for use with git master.
The file "...-075PF.patch" is for use with 0.7.5PF branch.
TagsNo tags attached.
Git Revision or version numbere10fb02a7dbb9952d3fb94ce81a3470e96222586
Run Mode Standalone (Multiple Regions)
Physics EngineODE
EnvironmentMono / Linux32
Mono Version2.10
Viewer
Attached Filespatch file icon 0001-Added-missing-functionality-mainly-custom-headers-master.patch [^] (30,750 bytes) 2013-03-27 15:06 [Show Content]
patch file icon 0001-Added-missing-functionality-mainly-custom-headers-075PF.patch [^] (27,908 bytes) 2013-03-27 15:07 [Show Content]

- Relationships

-  Notes
(0023727)
justincc (administrator)
2013-03-29 17:12

Thanks a lot, Kevin. Committed as git master 8b1ca7b and 0.7.5-post-fixes a6722ab.

In the future, please could you make sure that patches contain only the functionality change at issue and don't bundle miscellaneous whitespace cleanup. If there is any whitespace cleanup, then this could be in another patch.

- Issue History
Date Modified Username Field Change
2013-03-27 15:06 kcozens New Issue
2013-03-27 15:06 kcozens File Added: 0001-Added-missing-functionality-mainly-custom-headers-master.patch
2013-03-27 15:07 kcozens File Added: 0001-Added-missing-functionality-mainly-custom-headers-075PF.patch
2013-03-27 15:08 kcozens Assigned To => kcozens
2013-03-27 15:08 kcozens Status new => patch included
2013-03-27 15:09 kcozens Assigned To kcozens =>
2013-03-27 15:12 kcozens Git Revision or version number => e10fb02a7dbb9952d3fb94ce81a3470e96222586
2013-03-29 17:12 justincc Note Added: 0023727
2013-03-29 17:12 justincc Status patch included => resolved
2013-03-29 17:12 justincc Resolution open => fixed
2013-03-29 17:12 justincc Assigned To => justincc
2014-07-29 13:42 chi11ken Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker